[PATCH] fix portage-utils complation under musl

daggs <[email protected]>
Newsgroups gmane.linux.gentoo.hardened
Message-ID <trinity-e7d8c4f1-9b12-47b0-a31d-d3cfc2fd4b16-1415997690613@3capp-mailcom-bs15>
Greetings,

I'd like to offer a patch that fixes portage-utils compilation under gentoo+musl by defining missing define.

Signed-of By: [email protected]
portage-utils.patch (text/x-patch, 87.2 KB)
commit 7b308c23f0b190377094bdca84779aea6433a478
Author: daggs <[email protected]>
Date:   Fri Nov 14 20:23:54 2014 +0000

    fix portage-utils issue

diff --git a/app-portage/portage-utils/ChangeLog b/app-portage/portage-utils/ChangeLog
new file mode 100644
index 0000000..039bc91
--- /dev/null
+++ b/app-portage/portage-utils/ChangeLog
@@ -0,0 +1,745 @@
+# ChangeLog for app-portage/portage-utils
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/ChangeLog,v 1.157 2014/04/26 21:32:12 vapier Exp $
+
+  26 Apr 2014; Mike Frysinger <[email protected]> portage-utils-0.53.ebuild:
+  Stabilize for all.
+
+*portage-utils-0.53 (22 Mar 2014)
+
+  22 Mar 2014; Mike Frysinger <[email protected]> +portage-utils-0.53.ebuild:
+  Fix crash in `qdepends -q` #504636 via Chromium OS.
+
+*portage-utils-0.52 (15 Mar 2014)
+
+  15 Mar 2014; Mike Frysinger <[email protected]> +portage-utils-0.52.ebuild:
+  Fix crash in `qdepends -Q` #504636 by josef.95.
+
+*portage-utils-0.51 (11 Mar 2014)
+
+  11 Mar 2014; Mike Frysinger <[email protected]> +portage-utils-0.51.ebuild:
+  Bug fix release.
+
+*portage-utils-0.50 (10 Mar 2014)
+
+  10 Mar 2014; Mike Frysinger <[email protected]> +portage-utils-0.50.ebuild:
+  Version bump.
+
+  18 Jan 2014; Mike Frysinger <[email protected]> portage-utils-0.41.ebuild:
+  Add arm64 love.
+
+  10 Jan 2014; Mike Frysinger <[email protected]> portage-utils-0.41.ebuild:
+  Stabilize for all.
+
+  07 Jan 2014; Mike Frysinger <[email protected]> portage-utils-0.41.ebuild:
+  Add epatch_user support.
+
+  17 Nov 2013; Fabian Groffen <[email protected]>
+  +files/portage-utils-0.41-scandirat.patch, portage-utils-0.41.ebuild:
+  Add patch to fix e.g. qlist on Solaris
+
+  31 Oct 2013; Mike Gilbert <[email protected]> portage-utils-0.41.ebuild:
+  Add vapier's devspace as a distfile fallback to prevent fetch failures.
+
+*portage-utils-0.41 (31 Oct 2013)
+
+  31 Oct 2013; Mike Frysinger <[email protected]> +portage-utils-0.41.ebuild:
+  Fix minor profile var parsing bug.
+
+*portage-utils-0.40 (29 Sep 2013)
+
+  29 Sep 2013; Mike Frysinger <[email protected]> +portage-utils-0.40.ebuild:
+  Version bump.
+
+  29 Sep 2013; Mike Frysinger <[email protected]> portage-utils-0.30.ebuild:
+  Stabilize for all.
+
+  24 Aug 2013; Mike Frysinger <[email protected]> portage-utils-0.30.ebuild:
+  Update HOMEPAGE #479006 by Alexander Berntsen.
+
+*portage-utils-0.30 (30 Apr 2013)
+
+  30 Apr 2013; Mike Frysinger <[email protected]> +portage-utils-0.30.ebuild,
+  portage-utils-0.21.ebuild:
+  Version bump.
+
+  30 Apr 2013; Mike Frysinger <[email protected]> portage-utils-0.21.ebuild:
+  Stabilize for all
+
+  29 Apr 2013; Mike Frysinger <[email protected]> portage-utils-0.21.ebuild:
+  Show init messages on first install only #440420 by poletti.marco.
+
+  18 Feb 2013; Mike Frysinger <[email protected]> portage-utils-0.21.ebuild:
+  Pull in xz-utils to unpack tarball #456740 by Brian Dolbec.
+
+  17 Feb 2013; Zac Medico <[email protected]> portage-utils-0.21.ebuild:
+  Add ~arm-linux keyword.
+
+*portage-utils-0.21 (19 Dec 2012)
+
+  19 Dec 2012; Mike Frysinger <[email protected]> +portage-utils-0.21.ebuild:
+  Version bump.
+
+*portage-utils-0.20 (28 Oct 2012)
+
+  28 Oct 2012; Mike Frysinger <[email protected]> +portage-utils-0.20.ebuild:
+  Version bump.
+
+*portage-utils-0.11 (14 Aug 2012)
+
+  14 Aug 2012; Mike Frysinger <[email protected]> +portage-utils-0.11.ebuild:
+  Version bump.
+
+  03 Jul 2012; Brent Baude <[email protected]> portage-utils-0.10.ebuild:
+  Marking portage-utils-0.10 ppc for bug 419663
+
+  01 Jul 2012; Raúl Porcel <[email protected]> portage-utils-0.10.ebuild:
+  alpha/ia64/m68k/s390/sh/sparc stable wrt #419663
+
+  09 Jun 2012; Markus Meier <[email protected]> portage-utils-0.10.ebuild:
+  arm stable, bug #419663
+
+  09 Jun 2012; Jeff Horelick <[email protected]> portage-utils-0.10.ebuild:
+  marked x86 per bug 419663
+
+  08 Jun 2012; Mike Frysinger <[email protected]>
+  +files/portage-utils-0.10-x86-test.patch, portage-utils-0.10.ebuild:
+  Fix tests failing on x86 #412067 by Toralf Förster.
+
+  06 Jun 2012; Jeroen Roovers <[email protected]> portage-utils-0.10.ebuild:
+  Stable for HPPA (bug #419663).
+
+  05 Jun 2012; Brent Baude <[email protected]> portage-utils-0.10.ebuild:
+  Marking portage-utils-0.10 ppc64 for bug 419663
+
+  05 Jun 2012; Agostino Sarubbo <[email protected]> portage-utils-0.10.ebuild:
+  Stable for amd64, wrt bug #419663
+
+  26 Apr 2012; Alexis Ballier <[email protected]> portage-utils-0.10.ebuild:
+  keyword ~amd64-fbsd
+
+*portage-utils-0.10 (15 Apr 2012)
+
+  15 Apr 2012; Mike Frysinger <[email protected]> +portage-utils-0.10.ebuild:
+  Version bump.
+
+  06 Feb 2012; Mike Frysinger <[email protected]> portage-utils-0.8.ebuild:
+  Mark ppc/ppc64 stable #395317.
+
+  06 Jan 2012; Mike Frysinger <[email protected]> portage-utils-0.8.ebuild,
+  portage-utils-0.9.ebuild:
+  Use gnulib fall back for old crusty installs #397573 by Mark Wagner.
+
+  01 Jan 2012; Raúl Porcel <[email protected]> portage-utils-0.8.ebuild:
+  alpha/arm/ia64/m68k/s390/sh/sparc/x86 stable wrt #395317
+
+  31 Dec 2011; Fabian Groffen <[email protected]> portage-utils-0.9.ebuild:
+  Added Prefix changes, bug #395827.  Added Prefix keywords.
+
+*portage-utils-0.9 (22 Dec 2011)
+
+  22 Dec 2011; Mike Frysinger <[email protected]> +portage-utils-0.9.ebuild:
+  Version bump to fix a few more bugs.
+
+  20 Dec 2011; Jeroen Roovers <[email protected]> portage-utils-0.8.ebuild:
+  Stable for HPPA (bug #395317).
+
+  20 Dec 2011; Agostino Sarubbo <[email protected]> portage-utils-0.8.ebuild:
+  Stable for AMD64, wrt bug #395317
+
+*portage-utils-0.8 (19 Dec 2011)
+
+  19 Dec 2011; Mike Frysinger <[email protected]> -portage-utils-0.7.ebuild,
+  +portage-utils-0.8.ebuild:
+  Version bump to fix previous broken release.
+
+  18 Dec 2011; Naohiro Aota <[email protected]> portage-utils-0.7.ebuild:
+  Re-keyword ~x86-fbsd
+
+*portage-utils-0.7 (11 Dec 2011)
+
+  11 Dec 2011; Mike Frysinger <[email protected]> +portage-utils-0.7.ebuild:
+  Version bump with autotools support.
+
+*portage-utils-0.6 (03 Oct 2011)
+
+  03 Oct 2011; Mike Frysinger <[email protected]> +portage-utils-0.6.ebuild:
+  Version bump.
+
+  22 May 2011; Naohiro Aota <[email protected]> portage-utils-0.5.ebuild:
+  Drop ~x86-fbsd keyword
+
+*portage-utils-0.5 (17 Mar 2011)
+
+  17 Mar 2011; Mike Frysinger <[email protected]> +portage-utils-0.5.ebuild:
+  Version bump.
+
+*portage-utils-0.4 (08 Jun 2010)
+
+  08 Jun 2010; Mike Frysinger <[email protected]> +portage-utils-0.4.ebuild:
+  Version bump.
+
+  08 Jun 2010; Mike Frysinger <[email protected]> portage-utils-0.3.1.ebuild:
+  Stabilize for peeps.
+
+  08 Jun 2010; Mike Frysinger <[email protected]> files/q-reinitialize:
+  Run the postsync step in quiet mode if PORTAGE_QUIET is set #278336 by
+  Aaron Ten Clay.
+
+  08 Jun 2010; Mike Frysinger <[email protected]>
+  portage-utils-0.3.1.ebuild:
+  Manually preserve +x bits on postsync.d files #301721 by Klaus Birkelund
+  Jensen.
+
+  24 Jan 2010; Mike Frysinger <[email protected]>
+  portage-utils-0.3.1.ebuild:
+  Add support by Maksim Melnikau for USE=static #301993.
+
+*portage-utils-0.3.1 (17 Jan 2010)
+
+  17 Jan 2010; Mike Frysinger <[email protected]>
+  +portage-utils-0.3.1.ebuild:
+  Fix fatal qfile with vdb garbage #301221 and optimize it a bit.
+
+*portage-utils-0.3 (13 Jan 2010)
+
+  13 Jan 2010; Mike Frysinger <[email protected]> +portage-utils-0.3.ebuild,
+  +files/post_sync, +files/q-reinitialize:
+  Version bump.
+
+  05 Dec 2009; Mike Frysinger <[email protected]>
+  portage-utils-0.2.1.ebuild:
+  Stabilize for peeps #290539 by Stefan Huber.
+
+*portage-utils-0.2.1 (05 Sep 2009)
+
+  05 Sep 2009; <[email protected]> +portage-utils-0.2.1.ebuild:
+  - ver bump to fix bug 263892
+
+  06 Apr 2009; Mike Frysinger <[email protected]> portage-utils-0.2.ebuild:
+  Make sure we use [ rather than [[ in the makefile.
+
+  02 Apr 2009; Mike Frysinger <[email protected]> portage-utils-0.2.ebuild:
+  Use `emake install` in src_install rather than do things by hand.
+
+  23 Mar 2009; Diego E. Pettenò <[email protected]>
+  portage-utils-0.2.ebuild:
+  Emulate the old applet-list file by checking sources.
+
+*portage-utils-0.2 (23 Mar 2009)
+
+  23 Mar 2009; Mike Frysinger <[email protected]> +portage-utils-0.2.ebuild:
+  Version bump.
+
+  11 May 2008; <[email protected]> portage-utils-0.1.29.ebuild:
+  - stable on arm/sh
+
+  23 Feb 2008; Jeroen Roovers <[email protected]> portage-utils-0.1.29.ebuild:
+  Stable for HPPA (bug #211114).
+
+  23 Feb 2008; Brent Baude <[email protected]> portage-utils-0.1.29.ebuild:
+  stable ppc, bug 211114
+
+  23 Feb 2008; Brent Baude <[email protected]> portage-utils-0.1.29.ebuild:
+  stable ppc64, bug 211114
+
+  22 Feb 2008; <[email protected]> portage-utils-0.1.29.ebuild:
+  - stable amd64
+
+  22 Feb 2008; Raúl Porcel <[email protected]>
+  portage-utils-0.1.29.ebuild:
+  alpha/ia64/sparc/x86 stable
+
+*portage-utils-0.1.29 (16 Jan 2008)
+
+  16 Jan 2008; <[email protected]> -portage-utils-0.1.23.ebuild,
+  +portage-utils-0.1.29.ebuild:
+  - version bump
+
+  03 Jul 2007; <[email protected]> -files/fix-bug-168442.patch,
+  -portage-utils-0.1.24.ebuild, -portage-utils-0.1.25-r1.ebuild,
+  -portage-utils-0.1.26.ebuild:
+  - house cleaning
+
+  03 Jul 2007; <[email protected]> portage-utils-0.1.28.ebuild:
+  - stable on arm and SuperH
+
+  27 Jun 2007; Markus Rothe <[email protected]>
+  portage-utils-0.1.28.ebuild:
+  Stable on ppc64; bug #183197
+
+  26 Jun 2007; Raúl Porcel <[email protected]>
+  portage-utils-0.1.28.ebuild:
+  alpha/ia64/x86 stable wrt #183197
+
+  26 Jun 2007; Lars Weiler <[email protected]> portage-utils-0.1.28.ebuild:
+  Stable on ppc; bug #183197.
+
+  26 Jun 2007; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.28.ebuild:
+  Stable on sparc wrt #183197
+
+  26 Jun 2007; Jeroen Roovers <[email protected]> portage-utils-0.1.28.ebuild:
+  Stable for HPPA (bug #183197).
+
+  26 Jun 2007; Joshua Kinard <[email protected]> portage-utils-0.1.28.ebuild:
+  Stable on mips, per #183197.
+
+  25 Jun 2007; Christoph Mende <[email protected]>
+  portage-utils-0.1.28.ebuild:
+  Stable on amd64 wrt bug 183197
+
+  12 Jun 2007; Diego Pettenò <[email protected]>
+  +files/qmerge-posix-180871.patch, portage-utils-0.1.28.ebuild:
+  Add patch to fix bug #180871.
+
+*portage-utils-0.1.28 (03 Jun 2007)
+
+  03 Jun 2007; <[email protected]> -files/makefile.patch,
+  -portage-utils-0.1.27-r1.ebuild, +portage-utils-0.1.28.ebuild:
+  - version bump. misc bug fixes and improvements. new qpkg -c support
+  (eclean-pkg workalike)
+
+*portage-utils-0.1.27-r1 (24 May 2007)
+
+  24 May 2007; <[email protected]> +files/makefile.patch,
+  -portage-utils-0.1.27.ebuild, +portage-utils-0.1.27-r1.ebuild:
+  - make sure user LDFLAGS do not overwrite our own
+
+*portage-utils-0.1.27 (24 May 2007)
+
+  24 May 2007; <[email protected]> +portage-utils-0.1.27.ebuild:
+  - version bump.. Lots of changes. new module loader which may break on funky
+  arches, non gnu distros. new qmerge bin format for downloading.
+
+*portage-utils-0.1.26 (20 Apr 2007)
+
+  20 Apr 2007; <[email protected]> +portage-utils-0.1.26.ebuild:
+  - version bump. fix bug in qcache. add feature in qmerge for compressed
+  packages file.
+
+  10 Apr 2007; <[email protected]> -portage-utils-0.1.25.ebuild:
+  - flush broken 0.1.25
+
+*portage-utils-0.1.25-r1 (10 Apr 2007)
+
+  10 Apr 2007; <[email protected]> +files/fix-bug-168442.patch,
+  +portage-utils-0.1.25-r1.ebuild:
+  - important bugfix.. use memmove vs chdir..
+
+*portage-utils-0.1.25 (05 Apr 2007)
+
+  05 Apr 2007; <[email protected]> +portage-utils-0.1.25.ebuild:
+  Bug #168334 ; q -r dies with a segfault after emerge --sync
+  Bug #168442 ; does not  properly parse the profile location
+  Bug #170795 ; add a -E/--eclass option to qgrep
+  Bug #170797 ; add a -s/--skip-comments option to qgrep
+  Bug #171024 ; opening '/usr/portage/.metadata.x' failed
+  Bug #171374 ; Misc enhancements for qgrep
+  Bug #172240 ; -A/-B options for qgrep (context lines) 
+  Bug #172338 ; qgrepping through installed ebuilds (in the VDB) 
+  Bug #173005 ; Colorized output for qgrep.
+
+*portage-utils-0.1.24 (11 Feb 2007)
+
+  11 Feb 2007; <[email protected]> -portage-utils-0.1.20.ebuild,
+  -portage-utils-0.1.21.ebuild, -portage-utils-0.1.22.ebuild,
+  +portage-utils-0.1.24.ebuild:
+  - ver bump
+
+  04 Feb 2007; Markus Rothe <[email protected]>
+  portage-utils-0.1.23.ebuild:
+  Stable on ppc64; bug #165074
+
+  03 Feb 2007; Jason Wever <[email protected]> portage-utils-0.1.23.ebuild:
+  Stable on SPARC wrt bug #165074.
+
+  03 Feb 2007; Christian Faulhammer <[email protected]>
+  portage-utils-0.1.23.ebuild:
+  stable x86; bug #165074
+
+  03 Feb 2007; Tobias Scherbaum <[email protected]>
+  portage-utils-0.1.23.ebuild:
+  Stable on ppc wrt bug #165074.
+
+  03 Feb 2007; Jeroen Roovers <[email protected]> portage-utils-0.1.23.ebuild:
+  Stable for HPPA (bug #165074).
+
+  03 Feb 2007; Bryan Østergaard <[email protected]>
+  portage-utils-0.1.23.ebuild:
+  Stable on Alpha, bug 165074.
+
+  02 Feb 2007; Steve Dibb <[email protected]> portage-utils-0.1.23.ebuild:
+  amd64 stable, bug 165074
+
+  02 Feb 2007; Alexander H. Færøy <[email protected]>
+  portage-utils-0.1.23.ebuild:
+  Stable on MIPS; bug #165074
+
+  24 Jan 2007; Marius Mauch <[email protected]> portage-utils-0.1.20.ebuild,
+  portage-utils-0.1.21.ebuild, portage-utils-0.1.22.ebuild,
+  portage-utils-0.1.23.ebuild:
+  Replacing einfo with elog
+
+  15 Jan 2007; Timothy Redaelli <[email protected]>
+  portage-utils-0.1.22.ebuild, portage-utils-0.1.23.ebuild:
+  Add ~x86-fbsd keyword wrt bug #159383
+
+*portage-utils-0.1.23 (15 Jan 2007)
+
+  15 Jan 2007; <[email protected]> +portage-utils-0.1.23.ebuild:
+  - Lots of src/style updates. - Now links with -lkvm on fbsd so /proc does
+  not have to be mounted. (Flameeyes) - Now passes our own make check - Make
+  error msg more verbose when somebody is attempting to use RGB values via
+  color.map - Little speedup in contents_parse_line - Update man pages for the
+  newyear. - 3 new qfile options --from/-f --max-args/-m --exclude/-x and
+  example scripts (TGL)
+
+  29 Dec 2006; Diego Pettenò <[email protected]> ChangeLog:
+  Remove also ~sparc-fbsd in the mean time.
+
+  26 Dec 2006; Timothy Redaelli <[email protected]>
+  portage-utils-0.1.22.ebuild:
+  Removed ~x86-fbsd keyword.
+
+*portage-utils-0.1.22 (24 Dec 2006)
+
+  24 Dec 2006; <[email protected]> +portage-utils-0.1.22.ebuild:
+  - overdue version bump. lots of changes
+
+  29 Nov 2006; Diego Pettenò <[email protected]>
+  portage-utils-0.1.21.ebuild:
+  Add ~sparc-fbsd keyword.
+
+*portage-utils-0.1.21 (21 Aug 2006)
+
+  21 Aug 2006; <[email protected]> -portage-utils-0.1.18.ebuild,
+  -portage-utils-0.1.19.ebuild, +portage-utils-0.1.21.ebuild:
+  - q update from solar. Make sure we invoke quiet mode if PORTAGE_QUIET
+  exists in the env. - qlist update from solar. Unifiy iuse->use umap
+  handling. - qmerge update from solar. Display diff colors when using -sv for
+  installed packages. yellow for update pending. - qfile update from TGL. New
+  -R/--root-prefix switch which assume arguments are already prefixed by $ROOT
+  - qcache update from tcort. New -n/--not switch to list packages that are
+  not keyworded on a given arch. - qlop update from jmbsvicetto. Fixed typo.
+
+  19 Aug 2006; <[email protected]> portage-utils-0.1.20.ebuild:
+  - added a note about how to disable the reinitialize script the first time
+  it gets installed in case anybody finds it to be an inconvenience.
+
+  18 Aug 2006; <[email protected]> portage-utils-0.1.20.ebuild:
+  - stable on all arches I can test on
+
+*portage-utils-0.1.20 (22 Jul 2006)
+
+  22 Jul 2006; <[email protected]> +portage-utils-0.1.20.ebuild:
+  - qlist, qcache, qlop and qfile updates. including bugs 115733 139825 140019
+
+  13 Jul 2006; <[email protected]>
+  -files/portage-utils-0.1.17-bug133514.patch, -files/post_sync,
+  portage-utils-0.1.19.ebuild:
+  - work around accessing filesdir when buildpkg is enabled
+
+*portage-utils-0.1.19 (09 Jul 2006)
+
+  09 Jul 2006; <[email protected]> -files/portage-utils-0.1.17-enum.patch,
+  +files/post_sync, metadata.xml, -portage-utils-0.1.15.ebuild,
+  -portage-utils-0.1.16.ebuild, -portage-utils-0.1.17.ebuild,
+  -portage-utils-0.1.17-r1.ebuild, +portage-utils-0.1.19.ebuild:
+  - version bump for new features. removed old crusty ebuilds
+
+  29 Jun 2006; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.18.ebuild:
+  Stable on sparc
+
+  28 Jun 2006; Thomas Cort <[email protected]> portage-utils-0.1.18.ebuild:
+  Stable on alpha.
+
+  28 Jun 2006; <[email protected]> portage-utils-0.1.18.ebuild:
+  - stable on amd64, arm, hppa, ia64, ppc, ppc64 and x86
+
+*portage-utils-0.1.18 (04 Jun 2006)
+
+  04 Jun 2006; <[email protected]> +portage-utils-0.1.18.ebuild:
+  - version bump. rename qimlate to qcache [tcort]. make qpkg restrict chmod
+  settings when -P option is used. Make qdepends static buffer even bigger for X
+  and PHP
+
+*portage-utils-0.1.17-r1 (16 May 2006)
+
+  16 May 2006; Thomas Cort <[email protected]>
+  +files/portage-utils-0.1.17-bug133514.patch,
+  +portage-utils-0.1.17-r1.ebuild:
+  Fix a typo which sometimes caused qimlate to fail, see Bug #133514. Also fix
+  a check for 2 errors, error checking patch by [email protected].
+
+  14 May 2006; Thomas Cort <[email protected]>
+  +files/portage-utils-0.1.17-enum.patch, portage-utils-0.1.17.ebuild:
+  Added a patch to fix a compile error caused by the compiler defining
+  sparc=1, see Bug #133303. Patch by solar.
+
+*portage-utils-0.1.17 (13 May 2006)
+
+  13 May 2006; <[email protected]> +portage-utils-0.1.17.ebuild:
+  - q: Updated stderr/stdout handling for BSD again. - qfile: do not abort when
+  user passes qfile "..." - qimlate: New applet (Thomas Cort <[email protected]>)
+  uses portage metadata/cache directly. - qmerge: bug fix. dont remove vdb
+  entries in pretend mode. - qpkg: new switch -P/--pkgdir to allow user defined
+  pkgdirs. - quse: new switch. -N/--name-only used to only display matching
+  entries and not the values.
+
+*portage-utils-0.1.16 (29 Apr 2006)
+
+  29 Apr 2006; <[email protected]> -portage-utils-0.1.13.ebuild,
+  -portage-utils-0.1.14.ebuild, +portage-utils-0.1.16.ebuild:
+  - Bugfix in qsize with files larger than 4GB. Added new -u/--update flag to
+  qcheck for vdb entries. added -U/--umap flags to qlist to display use to iuse
+  mappings of vdb entries. misc qglsa/qmerge/qxpak code cleanups
+
+  24 Apr 2006; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.15.ebuild:
+  Stable on sparc
+
+  23 Apr 2006; Michael Hanselmann <[email protected]>
+  portage-utils-0.1.15.ebuild:
+  Stable on ppc.
+
+  22 Apr 2006; <[email protected]> portage-utils-0.1.15.ebuild:
+  - stable on amd64 arm mips ppc64 x86
+
+  16 Apr 2006; Bryan Østergaard <[email protected]
+  portage-utils-0.1.15.ebuild:
+  Stable on alpha.
+
+  31 Mar 2006; Diego Pettenò <[email protected]>
+  portage-utils-0.1.15.ebuild:
+  Add ~x86-fbsd keyword.
+
+*portage-utils-0.1.15 (26 Mar 2006)
+
+  26 Mar 2006; <[email protected]> +portage-utils-0.1.15.ebuild:
+  - Added support for color remapping via /etc/portage/color.map - Fixed up
+  (hopefully) stderr handling on those OSes that suffer silly design - Added
+  slot handling for qlist. - Added qlop verbose mode to display PV-PR - Reworked
+  the glob handling a bit to not use glob64 by default. - Added -F flag to
+  qmerge to use in place of the -f switch when wanting to skip downloading of
+  the Packages cache - Added -F flag to quse for format handling of user defined
+  variables
+
+*portage-utils-0.1.14 (25 Feb 2006)
+
+  25 Feb 2006; <[email protected]> -portage-utils-0.1.10.ebuild,
+  -portage-utils-0.1.11.ebuild, -portage-utils-0.1.12.ebuild,
+  +portage-utils-0.1.14.ebuild:
+  - vdb_get_next_dir items handle virtuals that are dirs now. - Allow
+  CACHE_EBUILD_FILE environment variable to control where cache file lives. - q
+  applet gains -m/--metacache flags to reinitialize metadata cache - qlist
+  applet gains -a/--all flags to list every installed package - qpkg applet
+  gains -p/--pretend flags along with 'world' cmdline target - qmerge applet
+  gains better install masking using globing/fnmatch - Updated the globing code
+  for the BSD arches.
+
+  09 Feb 2006; Joshua Kinard <[email protected]> portage-utils-0.1.13.ebuild:
+  Marked stable on mips for Bug #121776.
+
+  07 Feb 2006; Joshua Jackson <[email protected]>
+  portage-utils-0.1.13.ebuild:
+  stable on x86; bug #121776
+
+  07 Feb 2006; Aron Griffis <[email protected]>
+  portage-utils-0.1.13.ebuild:
+  Mark 0.1.13 stable on alpha
+
+  06 Feb 2006; Aron Griffis <[email protected]>
+  portage-utils-0.1.13.ebuild:
+  Mark 0.1.13 stable on ia64
+
+  06 Feb 2006; <[email protected]> portage-utils-0.1.13.ebuild:
+  Stable on ppc. bug 121776
+
+  06 Feb 2006; Patrick McLean <[email protected]>
+  portage-utils-0.1.13.ebuild:
+  Stable on amd64 (bug #121776).
+
+  06 Feb 2006; Jeroen Roovers <[email protected]> portage-utils-0.1.13.ebuild:
+  Stable on hppa (bug #121776).
+
+  06 Feb 2006; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.13.ebuild:
+  Stable on sparc wrt #121776
+
+  06 Feb 2006; Markus Rothe <[email protected]>
+  portage-utils-0.1.13.ebuild:
+  Stable on ppc64: bug #121776
+
+*portage-utils-0.1.13 (28 Jan 2006)
+
+  28 Jan 2006; <[email protected]> +portage-utils-0.1.13.ebuild:
+  - version bump for new applets and options
+
+*portage-utils-0.1.12 (12 Jan 2006)
+
+  12 Jan 2006; <[email protected]> +portage-utils-0.1.12.ebuild:
+  - better qatom support. new options. updated manpages. fixed a bug in qlist
+  when using -ICve. good stuff
+
+*portage-utils-0.1.11 (22 Dec 2005)
+
+  22 Dec 2005; <[email protected]> -portage-utils-0.1.6.ebuild,
+  -portage-utils-0.1.9.ebuild, +portage-utils-0.1.11.ebuild:
+  - new applet qatom, handy for scripts. fixed atom_explode script and hard
+  coded portdir path. improved profile handling
+
+  05 Dec 2005; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.10.ebuild:
+  Stable on sparc
+
+  04 Dec 2005; Tom Gall <[email protected]>
+  portage-utils-0.1.10.ebuild:
+  stable on ppc64
+
+  03 Dec 2005; Daniel Goller <[email protected]>
+  portage-utils-0.1.10.ebuild:
+  Stable on ppc and amd64
+
+  03 Dec 2005; <[email protected]> portage-utils-0.1.10.ebuild:
+  - stable on x86
+
+*portage-utils-0.1.10 (24 Nov 2005)
+
+  24 Nov 2005; <[email protected]> -files/portage-utils-0.1.3-qdepends.patch,
+  -files/portage-utils-0.1.7-comments.patch, +portage-utils-0.1.10.ebuild,
+  -portage-utils-0.1.3-r1.ebuild, -portage-utils-0.1.5.ebuild,
+  -portage-utils-0.1.7.ebuild, -portage-utils-0.1.8.ebuild:
+  - fix segv in describe_use_flag on some 64bit arches. updated testsuite.
+  removed old ebuilds
+
+  24 Nov 2005; Markus Rothe <[email protected]> portage-utils-0.1.9.ebuild:
+  Stable on ppc64
+
+  21 Nov 2005; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.9.ebuild:
+  Stable on sparc
+
+  20 Nov 2005; <[email protected]> portage-utils-0.1.9.ebuild:
+  - stable on x86
+
+*portage-utils-0.1.9 (12 Nov 2005)
+
+  12 Nov 2005; <[email protected]> +portage-utils-0.1.9.ebuild:
+  - OPTIMIZE_FOR_SIZE all color handling 
+  - New applet qgrep 
+  - New global -Q option to suppress warnings and 
+      errors. Useful with --verbose modes and scripts. 
+  - Make --version support handle per applet rcsid 
+  - Updated all manpages.
+  - Improved qlist dup handling. 
+  - Fixed bug in qsearch where dirname(),basename() was eating the results 
+      passed to them.
+  - Output of quse with -vv now describes each flag
+
+*portage-utils-0.1.8 (03 Nov 2005)
+
+  03 Nov 2005; <[email protected]> +portage-utils-0.1.8.ebuild:
+  - New quse describe flag option -D - Add test/check Makefiles and basic tests.
+  - Make qlop return with error msgs when the user can open a given logfile due
+  to permissions or other. - Make qlop return revision, date, user from the cvs
+  $Header: at verbose level > 3 - Fixed semi major bug in quse when processing
+  the variable of a string.
+
+  31 Oct 2005; <[email protected]> +files/portage-utils-0.1.7-comments.patch,
+  portage-utils-0.1.7.ebuild:
+  - some buggy distcc or cpp does not seem to like unbalenced /* comments */
+  within #ifdef 0
+
+*portage-utils-0.1.7 (30 Oct 2005)
+
+  30 Oct 2005; <[email protected]> +portage-utils-0.1.7.ebuild:
+  - mantainience release. qlop -p option removed in favor of scanning /proc for
+  current emerges. color updates. compile fixes for gcc-2
+
+  11 Oct 2005; Gustavo Zacarias <[email protected]>
+  portage-utils-0.1.6.ebuild:
+  Stable on sparc
+
+  11 Oct 2005; Stephen Bennett <[email protected]> portage-utils-0.1.6.ebuild:
+  mips stable by request
+
+  10 Oct 2005; <[email protected]> :
+  - stable on arm ia64 ppc s390 x86, other arches welcome to follow
+
+*portage-utils-0.1.6 (06 Oct 2005)
+
+  06 Oct 2005; Martin Schlemmer <[email protected]>
+  +portage-utils-0.1.6.ebuild:
+  New release (asked by solar).
+
+*portage-utils-0.1.5 (01 Oct 2005)
+
+  01 Oct 2005; <[email protected]> -portage-utils-0.1.1.ebuild,
+  -portage-utils-0.1.2.ebuild, -portage-utils-0.1.4.ebuild,
+  +portage-utils-0.1.5.ebuild:
+  - added a bit of error handling to qdepends when dealing with *DEP syntax we
+  dont understand yet. Added a new -k/--key option for user defined entries
+
+*portage-utils-0.1.4 (24 Sep 2005)
+
+  24 Sep 2005; <[email protected]> +portage-utils-0.1.4.ebuild:
+  - qpkg - new applet (quickpkg)
+  - qdepends - 2 new options
+  - qlist - 1 new option (azarah)
+  - qsearch - 1 new option. -N/--name-only
+  - qxpack - code cleanups
+  - better root handling for vdb entries
+  - header/licence updates
+
+*portage-utils-0.1.3-r1 (26 Jul 2005)
+
+  26 Jul 2005; Mike Frysinger <[email protected]>
+  +files/portage-utils-0.1.3-qdepends.patch, +portage-utils-0.1.3-r1.ebuild:
+  Fix incorrect assert test in qdepends.
+
+*portage-utils-0.1.3 (25 Jul 2005)
+
+  25 Jul 2005; Mike Frysinger <[email protected]>
+  +portage-utils-0.1.3.ebuild:
+  Fix building with gcc-2 and dont bomb with alignment errors on some arches.
+
+*portage-utils-0.1.2 (19 Jul 2005)
+
+  19 Jul 2005; <[email protected]> +portage-utils-0.1.2.ebuild:
+  - 3 new applets were added qlop, qtbz2 and qxpak. Lots of code cleanups and
+  feature enhancements
+
+*portage-utils-0.1.1 (17 Jun 2005)
+
+  17 Jun 2005; <[email protected]> -portage-utils-0.1.0.ebuild,
+  +portage-utils-0.1.1.ebuild:
+  - fix memmove bug in rmspace
+
+*portage-utils-0.1.0 (16 Jun 2005)
+
+  16 Jun 2005; Mike Frysinger <[email protected]> :
+  Add check, size, and depends applets.  Clean up and modularize code.
+
+*qfile-0.0.3 (02 Jun 2005)
+
+  02 Jun 2005; <[email protected]> +qfile-0.0.3.ebuild:
+  - qsearch is now case insensitive. - qlist no longer displays directory names.
+  - quse now matches IUSE where 1 more or flag is given. - reinitialize ebuild
+  flat database at program exit upon error. - got rid of ugly call to system()
+  so we don't have to exec anything external ever. - fixed readdir() bugs when
+  directory indexing enabled.
+
+*qfile-0.0.2 (31 May 2005)
+
+  31 May 2005; <[email protected]> files/qfile.c, -qfile-0.0.1.ebuild,
+  +qfile-0.0.2.ebuild:
+  - made qfile a multicall binary and added a few qpkg alike applets.
+
+*qfile-0.0.1 (10 May 2005)
+
+  10 May 2005; <[email protected]> +metadata.xml, +files/qfile.c,
+  +qfile-0.0.1.ebuild:
+  - initial creation of qfile package. A very small and fast c implementation of
+  portage query file tool
diff --git a/app-portage/portage-utils/Manifest b/app-portage/portage-utils/Manifest
new file mode 100644
index 0000000..2bf7de7
--- /dev/null
+++ b/app-portage/portage-utils/Manifest
@@ -0,0 +1,60 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA256
+
+AUX portage-utils-0.10-x86-test.patch 553 SHA256 261c0637cde745f8a063be7e6e79e21a17dc7844abf82a48ae1e3102327530ee SHA512 b2530913c327a067b97c259e9f310b507cb06dc0c7484ac942ee380b1f0cb46389e47266d719ce08e4584b77923b14257ad482d64498fc29f4c6c5b2013985b1 WHIRLPOOL 5b00984d5bcee654b0f3294af6e0b182ca4ff3b8d9c20540642018c920d4b22f42f8d97302317e88aa6f3a4fabc9e758a104d1107ff7e1520daecb0dd6007ccd
+AUX portage-utils-0.41-scandirat.patch 884 SHA256 c1d97cf76e7f3f37ea850433f35eaa4067fcbb48e2fb14384104c8a49cc68825 SHA512 30f6070432e8a865dabe0eb3dfb42dd5bc598ddb0bee3defea88065841d47f74d9520b65e47bb6a0b235bffb546b5e897387afa2bcff3ca55c514589e2327a4a WHIRLPOOL 64cc00d3485799936fe5b0469c4d67247605cd8eb945694e295ce2a16839fa3468e57ecc17f61443f8c75257db4078e9354cde44a851f8ceec854ccdbcd3ae80
+AUX post_sync 190 SHA256 73560378a5ef2bc39ced8f954f3d371f89d04fa45301f6e6471262caff03d5bf SHA512 0153d2931c2d2a0f03e74f75dadc14d115c0d0e50cbc43e17c1b05a6a406b4bf47435bd32d1b2f559ce6a576e24a30dcf47e8ea6d346371553560ceb055b4429 WHIRLPOOL 747a31cb3d31c242f4272940cdba19c62b0b4a60e93f5c8fa558325c8733c74cf1494d53e6b8b931a60d3529bb75fb043f210d98238f37b0f19857a612927b78
+AUX q-reinitialize 68 SHA256 e7aa83822c78d89d128d10e61ff30f529ea5af3c3b9b4395db6c213675b11e3b SHA512 d322fc0e3fd82583e9cfc6ffa95636134e4491e63fc1a1f34dcda58a1749c3ebcda97caee47bea4f44fb056c35c97e30819dd22e5c2ed8c936e0863466ebf6ae WHIRLPOOL 95f691370916fb749c67dffc176a0a1fef75f4eb5c21e0ff0d06e825ebe204cd7cf3412e26d4f4a204b166a882819379442203235a0cc0110a21d11311a0afd3
+DIST portage-utils-0.10.tar.xz 381996 SHA256 da4109b27dc2a791874022e56763a7563708f77de3c3da709b27b8cb74982f8a SHA512 a7caa280d459e1d774e1865c59a01825763f63c1d4efa9da55ca710571149a561bb5fe7cb95ab97d2f74d044d6cc140c18ce7c812b62ebc48f785e65883d812f WHIRLPOOL 06b7c5e3ae9454cd20f3a611564b10afa630d8c332f66ebb3789a6d64ca3e5ba3d5953375c715d94fd7f1add27bce8f4f38a211171ce5b8c0001f70e696a7304
+DIST portage-utils-0.11.tar.xz 388004 SHA256 5bd1abe328c6ea82177289143a9be026afaf18c752dc23c486d6248dd582c260 SHA512 2bc9b976d9c2ca6c415f8c4fabe655b8f83a6af6e121e91423cfc7129debf5146f09499fe9cecef19a72cbbb6437865805fabe73001e2031ce67e32fbdb23deb WHIRLPOOL 755b61935afad23179a690e841cd19a32842808d149a9e3756129aec28a74217cdb81b06ccae2909cfe65d0657ed5f4ce82568b9408e2c65024a7bfe97dc62cf
+DIST portage-utils-0.20.tar.xz 385328 SHA256 bfe774047f09a746334648a8630321aaf8d190538ea2942bdd0f509ce74885c9 SHA512 a78ea515e9094e62ecb69ddc46d06efa1cd472f2288d9df8626e0e4a0605819197a3f5ae7a6802aa26698e9cb68606574e71d99aa8d1fab54cc0b58a3f181934 WHIRLPOOL d11b9564dfca159b8857bc21c207be6fbd7de578a28bd9100a7d5de6e6280c904611f2a9c9b88b624c21372916241d76b8f460acf7fd8798574bc4307d5413da
+DIST portage-utils-0.21.tar.xz 387396 SHA256 7531ef71e82fd1a4f26fc93d8ee1f51ae9d1413626064ae5e3e95b2d875a7e23 SHA512 9f42d03356802b1829ef47d44e1e1e81006601012d72e54ff3fb0a963081241338097101c6d26ba94c61572150e5f560d23f8478240aba802c16ab8a225a10e6 WHIRLPOOL ff32a0b30094af149177ee2a000b54e31dfe8c3637eaf3be1a155c3752725e08a35f8d2dcc0e5558c661ef65c8fdccb3bd9406636f5cb569c1d6fb884facd242
+DIST portage-utils-0.3.1.tar.bz2 89122 SHA256 2e14e795e2bfd9078e6b40f8e4fbd183af5ac9f02e8a2140aaa1a92bbf8cc493 SHA512 0b9e246ad1caf380a574a957afc2f68c9879f4db55e90325177261d3488b4afad1638fd7f4c77f1bb30d1c6dd885873c124a2d5fff5829d0c55de8a214eb0ecc WHIRLPOOL dc879052524088c5b096415fe3af06d7c3f6be3648d4043dbb7f58fc53846a5d68bcbe035404d4bc608d760da2d82c5c1ac3406f790d984d17daf25546bb13a9
+DIST portage-utils-0.30.tar.xz 398144 SHA256 07a8ce13810464b019d3252c1857e4d12e40f0f8317f5b8ac3249f39bd338ad7 SHA512 b6e3194cf8c939804991ed91b18a5deaaed49ada2ea9c03348f36b58603ed39cebfa68923843d5b0c575bdb978fa4f178c318569bef8665a982973bcdfa52591 WHIRLPOOL 6c95a559e752f1572e236418022951fcbb32c225cc8937c339107e2c172dfc10d86fa6680024b250e2c9d945d5ea9cbc1921f67e13143ad7652db9f3487dc14d
+DIST portage-utils-0.4.tar.bz2 89409 SHA256 334af67cadb485db2f7269458fd7cc7f3c03742dd420b85ed1b2536735fdc645 SHA512 6c61f383b8fbf187acb1de22c94f885790fa5c9699613ae67f619c925521bef286d4781237a092cfbcd25671acd48d5c3a8efc928aece810f1ee779ca41d6874 WHIRLPOOL 2bae830d9cb6e91b58775e79f059b95bb1480a918f5f8f4a47e6c8283644d2101451759cf662816b8b64e199e04db0a80ca65e9ba1ab23dafae12346f3d0995e
+DIST portage-utils-0.40.tar.xz 403028 SHA256 6f5c0210a36c6cfee15332d074a236ee27d726c4daca48afa157686a34c4771c SHA512 5ecc884f66e56cb4c647e7ead6ea940a77cc6c0e0a066e609fda1aa8415faadf8b03051a98376db98c5057da233c29c3d3ad716fb486c8e6fbdaf4a53033d76c WHIRLPOOL f038a9db233bf97a1d320c0a2443430bc63d06f8428d9c203947ee02622dd2114bee044c536a0ff048fda55733db80e3f12cd8acb6ef73a35f3f8d0705461433
+DIST portage-utils-0.41.tar.xz 403048 SHA256 6fb99d7a918d0f4cd66d851369f017aa39b7f50649ec4690578952ea46fb236d SHA512 302053f752c8a0bd63f34517dbe520d656a28430c77cdfd86c3dd162314a181361ef6611d877581b92e2f289701bdb7fb4e3bb282158b9ab16166cf72fc30f7c WHIRLPOOL 945e5c6e49190ace479a9d73eb16a44823a9267de7587a11ed0f4192de0b10c94980c7348d977ba629e4e451686b112bdc6134baa6581e74a6ac7f78d657f22e
+DIST portage-utils-0.5.tar.xz 99916 SHA256 be8992cc7f4cfc0225d773065ce4c75b1bc6d7c1cab9e44862716f7f697b76bf SHA512 6f72e2b08f46df1ae29047e4cb8137c649ca4bf4b99eec31031986c5b2ee1d9f615a716bf96a1114bda5dec47e56123fefaa2ce8cffe30338c1264e9154c2276 WHIRLPOOL 88a9309216750cb0a143236a3c395d2dd9e5e38213963312d5ea232e250a8cc632184da2de9010fcdee373504855d24819d6615b60af287239fbd693e562cbe3
+DIST portage-utils-0.50.tar.xz 403932 SHA256 c63b6aa5de31cd6b216025c15dd7074716e34126f51093de84d1e1f0622473b7 SHA512 2002c5f6bcb9705e7bb09bb4ff7b57c988f6b80b89193235327ba357e852230b9ebad332d28dc31312377152e872709b643654d6f497a684fe1c3a1822db15e9 WHIRLPOOL 70eddc02ce9497104ad50f9be84cb4381ef2fb1181b63ac2e84374b7bd8aa77d043c39c45ad69ec9adb99592cc1b6d7453f8f4821602952cf294a376b410bf18
+DIST portage-utils-0.51.tar.xz 403588 SHA256 a3bd492788dfd1157d0b8145f096e8d45492914905329aa4cc9eb9d0526be131 SHA512 03433794102a0f195246f078fd261c3f9e1645edab2b7ddd0647fb3e46596e8e7d391f77e74e3754f07f569a9d331f2b0656bd2e1c57adab6dd75644db893020 WHIRLPOOL 3f47ab0605f22aaa354eccd5bbd588d9e761fddb0ad346e95695b160ee193c40ae11ca394c49c5986b85018ce0762a29d0bf62fb9a3466b9a391f27ee6d4c237
+DIST portage-utils-0.52.tar.xz 403684 SHA256 2869e77b043f68184ee35f0a77d3ce552c0cc75b67d9b2c67965f89d62922fac SHA512 de4fbc4d660e73d1b5e769a3c920dbf21984f00cee91d06269b8c0349aeaff15b9165e725e449ad2491e7095494e01f845a54315bc3a48b8cb02adeb20661e7f WHIRLPOOL decdfdfe75c08a71b0d00ffe7b087874e66c993a9ac1df19c5d16e2255aaf887156e17e9497b47faec7f94d1f8ff8ba8c2e87f5714c0df50b095faafee2c2605
+DIST portage-utils-0.53.tar.xz 404040 SHA256 876653e795af89aeadfac1206403b1ed9543f3ac75232459d4e597e20f236c04 SHA512 5965c39572dd476bde2668a4a643d6c44da47d822f75201efbaf10a8dbb02a5bb0210ef95519b99d762106caf6f3440f78312327516d33fa8551139104483259 WHIRLPOOL 115f9e67962b890e9027ba2b16ffb7c282426a514a0272e279fb2d171152cd54638e6fb94df4121f72d84b59ed3713e05d177ed29cacddd0070d555671d21e42
+DIST portage-utils-0.6.tar.xz 101672 SHA256 1c902be00679910c04cf70ef2d765388213c7bb339ffd47c660e681a6eac88a1 SHA512 b6b11741bf6bd94f9dbd5418468c47f1410ef192ad37f8764364869c52ce9dbb15db12099965d06e0daf4c26d214b12e230f2c85ce1e00fc85d1415b93ec81e5 WHIRLPOOL f0c21db0a32859f80695280a97ba90327c30aa691c68be5ec224f9a2d389cd3042becef31fd896596281404f86f80fb0ab15f33bf56206711363771bf815cfb7
+DIST portage-utils-0.8.tar.xz 378220 SHA256 d7a0dd6f8afc959f965a0dfcba12e808f623035cf1a38f3be4a5765d42174c74 SHA512 991dd836862a856d248bb93100ab94c0365d3fc3caf10931119565c108cb8085cf4aaa8779ae77b2c98fe3a4d26c8585c9d00d645c1bacb6b2b7bf18158fb6cd WHIRLPOOL f529986e4479ac834d220a40734655434d0fe262d1dec2ff1eaeeb44c2c356caf6bcf90afaeb8727e5b98c873d8f1b7133896ea9029f2dc1b13b04c4c0dee943
+DIST portage-utils-0.9.tar.xz 378044 SHA256 dc6ca6c8394a17e47966e7a5aa21030690abd80e493e59780b85c561307c4c58 SHA512 15982f2e55f5307ea82076b53ca604f2a5e683836cfb669e05fb1cf8a18889d82223a05748b745e179dc6c1bb9f88b08460717a9a7eae5ce5d31a0b7d70290cc WHIRLPOOL cfaab6d47ca15662888f3492001507f9c3dc29694a2f3fd44268eee7c9bfb83cb3a31d6fb7ce25b49d8ced311f6ea60828ad1c62f635bae1f35b20e0c2275bd4
+EBUILD portage-utils-0.10.ebuild 2233 SHA256 52a74fe58602d721be8e512dc5911cdf24c6c489156fd6221fa6b83e7e78b957 SHA512 01ce25477107b321fbe0f5e98dfd3fa883322e0a287479b007004f3962da5c9fe830ab6cd10bd2dbae7009b8b14d337ee50a46bcc56798947a21d9ef670ec299 WHIRLPOOL ab49e60c82429039444d23b41ccad8769b8dbf1b79a74d6594db534c260b0d27b09f3e1b4405631f89d02a5ab82fb37f5bde45258429cc01e0f1dc58456fce8d
+EBUILD portage-utils-0.11.ebuild 2168 SHA256 1967f035a351e929cc22ddb2f4732079405b704b4d2bf6e65b4e0af5aa00f33a SHA512 9c3aa8d84eb105a4ddd68d0cc7305f652df3987fdd71741aa792e4b318b63f22043390c72744889accd20263ffc92819a6464930c5e11fe1155c534ff7e6a121 WHIRLPOOL ec4f54fbd40b537e5cbeb9b051a03508ceef24d63581cd5250728a42a306f9d008b5852fb5dfc506d9a042deca818dd2d843327c59fe621979a48fa5446340ae
+EBUILD portage-utils-0.20.ebuild 2168 SHA256 2f9f3fe126c36b751d1cacf3dba0f9a5f9ac002812768d0d8a1752ab80b4d7cc SHA512 950eb13a69b91f0a0c2f26765bf41fb0884ff7949a0ded71940c6db479ef38d01d324c05f1e93d37ed01fcb00ef61963b30cc60fd9f91fdff25ffd3dc3d4c86a WHIRLPOOL b63607a3dc124037edcae3ed49ccfffe7b85f113f4ff3a7773584e4030fee6a3592c2cf37285b23968a3a45c3e7b202a88f1d8fa015a4f6a6f88cbc4f01807d8
+EBUILD portage-utils-0.21.ebuild 2258 SHA256 0c1595116c9c83baa675abd5784be9ff2daf02d3707c0360acdd8164ecef68e4 SHA512 c5a283d4be16e1d5c259e9ba58bc33734269bd89a17c0ee28c1c7c905928c32b3f9e7cd7624c7294a4a48889ca4443f339e4692abe719e6df36aaf8efc6b95a6 WHIRLPOOL 929f8c94b95816a125ad1c569f5fb65e9a3118e033559a66fc55e822798d402ee74098e4d0e8ae9819e244d3dfa40e5b94ee9a8003ca19b56719311024b05be7
+EBUILD portage-utils-0.3.1.ebuild 1566 SHA256 14f27f81facc7c4bd854f8c9245d139fd351b3e3afcd705a4027aea2811c723c SHA512 0e517cf007b7fb89ad12690beb287dde6d398b0aec0165e5e1a35651a7d8c1d2197d6dc2ebdae2ba0e00e5a189cdb971295707034f9e8ba7f4ce0c391d33d642 WHIRLPOOL c7d026408c4f333b19af05701312a69e9261fc01dffc4f725636e32719a9335b3c2c4803d51e16a01ff7dfc2bd1502976a0881d1e9471480e7985a2f1ae12cd1
+EBUILD portage-utils-0.30.ebuild 2282 SHA256 256dbbc2e3e11fc7e87af26b6f3cf182ba045b340e8ba705af4dc59e5ae10453 SHA512 78de642ed1ad7c15b3fd763c7e137a9679a1d7eeaf07d5c86db763bd3d9f9f04f23d02ce69b5d686458111b686ff878912308ab9127ebee51faa8b9ab34a3fb2 WHIRLPOOL 0d963be9d6713daa711412dbcb9019535b71df1b10addd857bdf8e5340843d251e78460ddf36c3f3fe1df8568689e4980e8dc0312a80621d062d9d3283eef16a
+EBUILD portage-utils-0.4.ebuild 1576 SHA256 5fe41ce66a4586a7306ae5b44bf978c3ed52b82b0f9ae21498c6f9d5c96016ac SHA512 0c36d5c488c9d70ca0edabee1c7ae14e44a32dccb57185b2a0b5922b65144fe50cb0916412ee1f46a1e5a3791788afc65fa0607b00d2184962031b46f2e9bafe WHIRLPOOL a08f7830eda18333f8a0aa2a3f5cdde4592aab190ce3c3b1ab7e3943fb8f3184be1e0696cd2f446ae40465e72c0587c9e79898f211abbb70e31196bbeee3babd
+EBUILD portage-utils-0.40.ebuild 2294 SHA256 6a52f088c9b5b486a7dc14c8cfeed5d2f9a08f3a7bff0520926e2c4ae18c6d17 SHA512 bb854547d14422781b33622488035bde149e70cfdf7c35d64b03ae7e6d8fca6d5470d3278baef6a60e6a45d425f973fae074361ddaf993eaf4bb309c873be4c9 WHIRLPOOL 4b8759f5fdb6e7fa92fd01e59b8fe8056a07c278ed90a2c5b15386265eac8649445fd7eb6e4807236cbf6f7d6b91bfe87a06cc6ba2e90b2cfd1ca2ed5b326185
+EBUILD portage-utils-0.41.ebuild 2460 SHA256 4dac1310c17d5e4b944c20f8c6eef05ed65d6fbaf6e80c048eb6a8fb8581c154 SHA512 3c9e061d034aa1a6afc524f11310d25d0fbeb1093f9366f9edc50740886a777b5690877c3fbaa8549e33ee1c594f1475f8413b1370d449e8fd2f64ac53bf8e6d WHIRLPOOL 663ec1d5af72884ce94ed71d8899446a691727cd346d1eb3a84c47b4149a030722fbf7e90a617fd06d74c8b25749c6bab0a2e18b5eacada7ca6a0891c8418dd6
+EBUILD portage-utils-0.5.ebuild 1485 SHA256 8246fe9df68c97cc0e42bf928de14766604377430e6e4b98bcd3a8bfeb785aab SHA512 249fc5e1eae638ea01e8325a9172cc12fe0c15ea1f831616e973de6822d0e87f20b8710ea440dd087de55380f3ea496d5af3f8cc631bc2e837fd6a6438405ceb WHIRLPOOL 97de3aad807224138b690d6984016c37d799ad4855f8fa05d9406dcafa76a6776f0fe61704692e11fa27878b3e5ac7808fdf2e395c63e30d142f7aa0a5843882
+EBUILD portage-utils-0.50.ebuild 2379 SHA256 43443b0faf7b4797333355ec7ed6304265a30d01dd7671a122d91caac4247d25 SHA512 ef821d3a9b6ac90f03bcb6fafea0c8161e5ef728f661c11847da67f781f72acfc5eeeafb885a1a0fc1a39f77dbaa02025678797560f17bc96806fc037a4a2500 WHIRLPOOL 3724b9dc9c4fb3f53a207c80ea4d72a0e9881ee9d9ee3007c31624215c0d47e462849222a9490811d9737707dccf3519190f762de8e60b88cdec7caec2b6f3e5
+EBUILD portage-utils-0.51.ebuild 2379 SHA256 0596b69f32b5fe8f4e793117ffa355bce34c4c8504035f4eaa0fb3c9dcafb628 SHA512 12fc7a840076d73156c2865991da4c56a4faeeb625533ff03d18059bf13cdc0835155f77d16931c2dc8dc66a962bef67398fdd5c2ea76101a1bfef8e2bedcf0a WHIRLPOOL 0b45d0b1cee9a4cbb86e50c66ce2edcea95cc1f43da796bbb2ffc076c88c1abc577c6ba883f83b9542a67b8204744a5812d915368dcda0711c1fe42f1ad4e122
+EBUILD portage-utils-0.52.ebuild 2379 SHA256 277a672bdd4bf201441bbb3ee412d504936dcf03fae467b92e8f367881262660 SHA512 e3935cbd91fbb53e139d94287c00ceb82748fa1e7ed5a8439940149f54f54882b6d0f43aaf97f7d44e9d2926c6162e27aa6b30ae2536df16cef612fdb35ff748 WHIRLPOOL 9f8a6e76affd292d635e70db50c28c69d85b2048f80956bd8d6b2346765f07b35b40013128cc464c3ef381495746c34ac3ec64b1ed8d3d37f4ddb283d3bb6396
+EBUILD portage-utils-0.53.ebuild 2366 SHA256 dad453b1ab31f09b671c7422e1ddd0c36777cb552d43bad9c02b4cf29b9aeebb SHA512 c89b84338a90d57c3f351d5d2e55fbb20b6e8f5e2ea547da80fe420bb27ff47a1c574cd37659c1b1458c3391a2f37d70a58ebaede26f691d4824de5758101c65 WHIRLPOOL 53316a9a9816cb8adab8a6dfe01957855d4093bf54f353db029db0fbb2fd142ada72bdbe8675ea9fc4f107ef29699665459e89da9c3653e6c1e110711b03cb9b
+EBUILD portage-utils-0.6.ebuild 1486 SHA256 fe23b1ad44d0ac7051c235fa12bf58bd79396152ab204772eed53e9f554978fe SHA512 28b27395f45a5203315d09b1b5fb34acb40b4400c6afb95150fbbacacf7bb8acde5543c8fe4777775647e0c0830034dd9aa470536744b1fd1b6bc14022080029 WHIRLPOOL f6ac24ea0e118a9591497d360e5d6baaac18893a9ddcfb580ef7621825633a5e70607e459b5fb2c66fc016b799ec48241c45866aaad8d85faa9f8d664cb54f8b
+EBUILD portage-utils-0.8.ebuild 1656 SHA256 61877b0101440204587ac63f74daef7fe03c52ff2828127e3145c475099bd7e5 SHA512 ed63633f74a8f3c6d31e24d4010e19199254dfa61ab3cd8b0320050b12bc9b9a29c7fb1f45eecee1eb37739823efdb36e6946d6cc544a7cc6c00d6c064cfdce7 WHIRLPOOL cf65eb5fb488576418a6589e9740caf9dd7166b1c7fbe5222804b73d97bff49f0d475b9a7767e64ed2c9d57588432dac378eb2fe51c6fc4d902a1bce8694be80
+EBUILD portage-utils-0.9.ebuild 2155 SHA256 62e78c7a2624e70c765a184fd3ec50af2ac75c0d1c1d771393a51b2906512eab SHA512 febe32bf1d296521b18b09fe74aeaa70ab576240165295f090ae9fabcc1668cb84cfb5ad87bacf66d73daf9f9a9c4e99d4f7f6536494e3e4b1c42a454595330f WHIRLPOOL 22e2d013fa317481a14115db476aa382c67420e45c911093efd4171b75f82d32a8d22426efab7595ef3be7e78a662e2e35457baba0de3c393078160b95549df5
+MISC ChangeLog 26682 SHA256 c0475ba30415d3fe0786c6951725c35780078af06d41de1150e333a724b6afc5 SHA512 b349733a4b5f4b31599212a6c261552177fca4f52586a2b8fd9409e1a62e477dc87d28df820606f33b07af5485df2148c81df589d3e24d49ab9950ef6075076a WHIRLPOOL 34f104c07466376c1c57d1dbdaee8260dee4d69771995ae4b0be048ec07c7c64df19ce070be47aab3e6f5bb84f96070916f5c8b627b1990891b763d452956e2f
+MISC metadata.xml 207 SHA256 7e42d8d20b999858f3b4dc74e47877952491faecaa3674f4dd54b5d0c5045867 SHA512 42a980e5a2cde735b41dc5f0d225ae3377fde12bdff944fd9f57b8c11c9990e559b52eff81a686c83a6d03d3a1e6ff924b622b2631a46916ad47f9f6986c2951 WHIRLPOOL 0f0513644cd692a015cef3368825ee03e85c82ac0e8fc328911c3e2c05bbe200ebc63cafc2fee65c389d6b6774206486ca74a21d597a2975147948b50e220670
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.22 (GNU/Linux)
+
+iQIcBAEBCAAGBQJTXCXhAAoJEPGu1DbS6WIAvhQP/2Gz6yVu8d+jdTtkyXCLrRa3
+orp0QVuRKLdiPnfFC8574nXDYQmXoZrXdnx2bKbZJi6R7WCSdsEjjrYGRweWIUqD
+ExeKuonDGj545o202rcbb+twr4uPOtl9CYLwXsg0JiJQqfSjr/miz+IlpsTcMEOQ
+HJMBB2TcvINIPyty4ahcOUVRctOpyUHpeZ2Tp6UfHUZxJpmvwS9lKPYrLvYS57xo
+Nqe1UWKgvupcTWKA4vn0psj6u2Yve7ZEQgkc1NxXg94jDsCi+A5REAIXP68unOUM
+2mouQ5uG3WLZpKmDObu79yw93sq2w9TLyzaaOAE951o+7trMXrwTLLhqxsTMt3r0
+7emxTtxRln5SaUdJ+DInKXpIqJNUnwAWNfXpTh+kLMIE5bR7Yb1OCMDJcagGW/x/
+HcDKo3YksuyoTdonGOeE+PMmUGLhWmmo12aJArIDMj3PyYBbIM9EFyTUvqyvtSsh
+i5uiV0bBdlKMd6ZnGcWX+nEZ8BlgQC5X0Ei7ym00LkvpG4akej/QtqKtID7E2EfN
+jtMsUqPqpw+ymevxrgdfpE+2kH9kcXk4f4jXQjm8Mu2BJXHMV7/BQ2d6D6ZJjG7O
+sAElDBJCPX0pEw77hindp7G3526L0yvCOTn4DrIfVG87iYh7nsVEf2b5jMwykQyy
+4kjvbE0mw884LuURqCCl
+=zNHp
+-----END PGP SIGNATURE-----
diff --git a/app-portage/portage-utils/files/portage-utils-0.10-x86-test.patch b/app-portage/portage-utils/files/portage-utils-0.10-x86-test.patch
new file mode 100644
index 0000000..fb46268
--- /dev/null
+++ b/app-portage/portage-utils/files/portage-utils-0.10-x86-test.patch
@@ -0,0 +1,18 @@
+https://bugs.gentoo.org/412067
+
+--- tests/profile/dotest	19 May 2012 13:20:20 -0000	1.2
++++ tests/profile/dotest	8 Jun 2012 04:42:04 -0000
+@@ -31,10 +31,11 @@ unset $(qenv | awk '{print $1}')
+ 
+ # test vars that should default to known values.
+ # cannot test too many more as portage's default
+-# make.globals will kick in.
++# make.globals will kick in.  also can't test
++# some vars (e.g. PORTAGE_BINHOST) that we default
++# on some platforms.
+ tenv inv ROOT /
+ tenv inv ARCH
+-tenv inv PORTAGE_BINHOST
+ 
+ # this validates simple stuff
+ tenv 1 ARCH x86
diff --git a/app-portage/portage-utils/files/portage-utils-0.41-scandirat.patch b/app-portage/portage-utils/files/portage-utils-0.41-scandirat.patch
new file mode 100644
index 0000000..1c7f7cd
--- /dev/null
+++ b/app-portage/portage-utils/files/portage-utils-0.41-scandirat.patch
@@ -0,0 +1,24 @@
+scandirat: copy enough bytes to get the filename
+
+Solaris is a platform without d_reclen.  sizeof(struct dirent) is not
+enough to get the whole of d_name contents, since the struct uses
+char[1] as workaround to specify a variable size length end of struct
+member.
+
+Index: libq/scandirat.c
+===================================================================
+RCS file: /var/cvsroot/gentoo-projects/portage-utils/libq/scandirat.c,v
+retrieving revision 1.6
+retrieving revision 1.7
+diff -u -r1.6 -r1.7
+--- libq/scandirat.c	29 Sep 2013 10:25:25 -0000	1.6
++++ libq/scandirat.c	17 Nov 2013 10:26:53 -0000	1.7
+@@ -18,7 +18,7 @@
+ #if defined(_DIRENT_HAVE_D_RECLEN)
+ # define reclen(de) ((de)->d_reclen)
+ #else
+-# define reclen(de) (sizeof(*(de)))
++# define reclen(de) (sizeof(*(de)) + strlen((de)->d_name))
+ #endif
+ 
+ static int scandirat(int dir_fd, const char *dir, struct dirent ***dirlist,
diff --git a/app-portage/portage-utils/files/portage-utils-add_missing_define.patch b/app-portage/portage-utils/files/portage-utils-add_missing_define.patch
new file mode 100644
index 0000000..2b925b7
--- /dev/null
+++ b/app-portage/portage-utils/files/portage-utils-add_missing_define.patch
@@ -0,0 +1,11 @@
+--- a/portage-utils-0.53/qsize.c 	2014-11-14 19:54:58.000000000 +0000
++++ b/portage-utils-0.53/qsize.c	2014-11-14 19:55:19.490000000 +0000
+@@ -33,6 +33,8 @@ static const char * const qsize_opts_hel
+ };
+ #define qsize_usage(ret) usage(ret, QSIZE_FLAGS, qsize_long_opts, qsize_opts_help, lookup_applet_idx("qsize"))
+ 
++#define S_BLKSIZE      512     /* Block size for `st_blocks'.  */
++
+ int qsize_main(int argc, char **argv)
+ {
+ 	q_vdb_ctx *ctx;
diff --git a/app-portage/portage-utils/files/post_sync b/app-portage/portage-utils/files/post_sync
new file mode 100755
index 0000000..e94ea5d
--- /dev/null
+++ b/app-portage/portage-utils/files/post_sync
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Copyright 2006-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+for f in /etc/portage/postsync.d/* ; do
+	[ -x "${f}" ] && "${f}"
+done
+:
diff --git a/app-portage/portage-utils/files/q-reinitialize b/app-portage/portage-utils/files/q-reinitialize
new file mode 100644
index 0000000..7bca1a8
--- /dev/null
+++ b/app-portage/portage-utils/files/q-reinitialize
@@ -0,0 +1,3 @@
+#!/bin/sh
+[ -x /usr/bin/q ] && /usr/bin/q -r ${PORTAGE_QUIET:+-q}
+:
diff --git a/app-portage/portage-utils/metadata.xml b/app-portage/portage-utils/metadata.xml
new file mode 100644
index 0000000..5480650
--- /dev/null
+++ b/app-portage/portage-utils/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+	<email>[email protected]</email>
+</maintainer>
+</pkgmetadata>
diff --git a/app-portage/portage-utils/portage-utils-0.10.ebuild b/app-portage/portage-utils/portage-utils-0.10.ebuild
new file mode 100644
index 0000000..1ea47df
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.10.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.10.ebuild,v 1.10 2012/07/03 16:21:45 ranger Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+src_prepare() {
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch "${FILESDIR}"/${P}-x86-test.patch #412067
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.11.ebuild b/app-portage/portage-utils/portage-utils-0.11.ebuild
new file mode 100644
index 0000000..64fd0a3
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.11.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.11.ebuild,v 1.1 2012/08/14 18:18:20 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.20.ebuild b/app-portage/portage-utils/portage-utils-0.20.ebuild
new file mode 100644
index 0000000..5ec5ece
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.20.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.20.ebuild,v 1.1 2012/10/28 10:38:01 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.21.ebuild b/app-portage/portage-utils/portage-utils-0.21.ebuild
new file mode 100644
index 0000000..4276ae9
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.21.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.21.ebuild,v 1.5 2013/04/30 04:23:55 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.3.1.ebuild b/app-portage/portage-utils/portage-utils-0.3.1.ebuild
new file mode 100644
index 0000000..1c71030
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.3.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.3.1.ebuild,v 1.4 2010/06/08 05:49:00 vapier Exp $
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
+IUSE="static"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	sed -i -e 's:\[\[:[:' -e 's:\]\]:]:' Makefile
+}
+
+src_compile() {
+	tc-export CC
+	use static && append-ldflags -static
+	emake || die
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${D}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${ROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x /etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x /etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.30.ebuild b/app-portage/portage-utils/portage-utils-0.30.ebuild
new file mode 100644
index 0000000..a9bd234
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.30.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.30.ebuild,v 1.3 2013/09/29 10:13:38 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.4.ebuild b/app-portage/portage-utils/portage-utils-0.4.ebuild
new file mode 100644
index 0000000..df7493b
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.4.ebuild,v 1.1 2010/06/08 05:49:29 vapier Exp $
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
+IUSE="static"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	sed -i -e 's:\[\[:[:' -e 's:\]\]:]:' Makefile
+}
+
+src_compile() {
+	tc-export CC
+	use static && append-ldflags -static
+	emake || die
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${D}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${ROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x /etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x /etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.40.ebuild b/app-portage/portage-utils/portage-utils-0.40.ebuild
new file mode 100644
index 0000000..48180b9
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.40.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.40.ebuild,v 1.1 2013/09/29 23:51:39 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.41.ebuild b/app-portage/portage-utils/portage-utils-0.41.ebuild
new file mode 100644
index 0000000..d6f6b91
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.41.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.41.ebuild,v 1.6 2014/01/18 03:18:07 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+	http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+	# can go next release, backport from CVS
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch "${FILESDIR}"/${P}-scandirat.patch
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch_user
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.5.ebuild b/app-portage/portage-utils/portage-utils-0.5.ebuild
new file mode 100644
index 0000000..442937f
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.5.ebuild,v 1.2 2011/05/22 02:15:54 naota Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd"
+IUSE="static"
+
+src_compile() {
+	tc-export CC
+	use static && append-ldflags -static
+	emake || die
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${D}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${ROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x /etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x /etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.50.ebuild b/app-portage/portage-utils/portage-utils-0.50.ebuild
new file mode 100644
index 0000000..17502e9
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.50.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.50.ebuild,v 1.1 2014/03/10 08:46:39 vapier Exp $
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+	http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch_user
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_compile() {
+	emake NLS=$(usex nls)
+}
+
+src_install() {
+	default
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.51.ebuild b/app-portage/portage-utils/portage-utils-0.51.ebuild
new file mode 100644
index 0000000..dc68505
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.51.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.51.ebuild,v 1.1 2014/03/11 04:55:52 vapier Exp $
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+	http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch_user
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_compile() {
+	emake NLS=$(usex nls)
+}
+
+src_install() {
+	default
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.52.ebuild b/app-portage/portage-utils/portage-utils-0.52.ebuild
new file mode 100644
index 0000000..09fd52c
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.52.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.52.ebuild,v 1.1 2014/03/15 06:12:38 vapier Exp $
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+	http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch_user
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_compile() {
+	emake NLS=$(usex nls)
+}
+
+src_install() {
+	default
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.53.ebuild b/app-portage/portage-utils/portage-utils-0.53.ebuild
new file mode 100644
index 0000000..c900932
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.53.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.53.ebuild,v 1.2 2014/04/26 21:32:12 vapier Exp $
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/doc/en/portage-utils.xml"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+	http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+	epatch "${FILESDIR}"/portage-utils-add_missing_define.patch
+	epatch_user
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_compile() {
+	emake NLS=$(usex nls)
+}
+
+src_install() {
+	default
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+		elog "If you wish for it to be automatically run at the end of every --sync:"
+		elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+		elog "Normally this should only take a few seconds to run but file systems"
+		elog "such as ext3 can take a lot longer.  To disable, simply do:"
+		elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.6.ebuild b/app-portage/portage-utils/portage-utils-0.6.ebuild
new file mode 100644
index 0000000..ce95863
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.6.ebuild,v 1.1 2011/10/03 03:51:02 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd"
+IUSE="static"
+
+src_compile() {
+	tc-export CC
+	use static && append-ldflags -static
+	emake || die
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${D}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${ROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x /etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x /etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.8.ebuild b/app-portage/portage-utils/portage-utils-0.8.ebuild
new file mode 100644
index 0000000..495221c
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.8.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.8.ebuild,v 1.6 2012/02/06 20:13:39 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE="static"
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if ! use kernel_linux || has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${D}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${ROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x /etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x /etc/portage/postsync.d/q-reinitialize"
+}
diff --git a/app-portage/portage-utils/portage-utils-0.9.ebuild b/app-portage/portage-utils/portage-utils-0.9.ebuild
new file mode 100644
index 0000000..c888558
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.9.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.9.ebuild,v 1.3 2012/01/06 20:13:18 vapier Exp $
+
+EAPI="3"
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~ppc-aix ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static"
+
+src_configure() {
+	use static && append-ldflags -static
+
+	# Avoid slow configure+gnulib+make if on an up-to-date Linux system
+	if use prefix || ! use kernel_linux || \
+	   has_version '<sys-libs/glibc-2.10'
+	then
+		econf --with-eprefix="${EPREFIX}"
+	else
+		tc-export CC
+	fi
+}
+
+src_install() {
+	emake install DESTDIR="${D}" || die
+	prepalldocs
+
+	exeinto /etc/portage/bin
+	doexe "${FILESDIR}"/post_sync || die
+	insinto /etc/portage/postsync.d
+	doins "${FILESDIR}"/q-reinitialize || die
+
+	# Portage fixes shebangs, we just need to fix the paths in the files
+	sed -i \
+		-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+		"${ED}"/etc/portage/bin/post_sync \
+		"${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+	# preserve +x bit on postsync files #301721
+	local x
+	pushd "${ED}" >/dev/null
+	for x in etc/portage/postsync.d/* ; do
+		[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+	done
+}
+
+pkg_postinst() {
+	elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+	elog "If you wish for it to be automatically run at the end of every --sync:"
+	elog "   # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+	elog "Normally this should only take a few seconds to run but file systems"
+	elog "such as ext3 can take a lot longer.  To disable, simply do:"
+	elog "   # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.